javascript: ;
(function() {
  try{
    if(window.StockJSBridge) {return;}
    window.StockJSBridge = {
      'invoke': function(name) {
        var args = [].slice.call(arguments, 1),
          callback = args.pop(),
          params, obj = this[name];
        if (typeof callback !== 'function') {
          params = callback;
          callback = function() {}
        } else {
          params = args[0]
        }

        if (typeof obj == 'undefined' || typeof obj.func !== 'function') {
            this[name] = {};
            this[name].callback = callback;
            this[name].params = params;
            this[name].func = function(params) {
                 prompt(name, JSON.stringify(params))
            };
            this[name].func(params);
        } else{
            obj.callback = callback;
            obj.params = params;
            obj.func(params)
        }
      },
      'on': function(event, callback) {
        var obj = this['on' + event];
        if (typeof obj == 'undefined'){
            if (typeof callback !== 'undefined'){
                this['on' + event] = {};
                this['on' + event].callback = callback;
            }
        } else {
            if (typeof callback !== 'undefined'){
                 obj.callback = callback;
            }
        }
      }
    };
  }catch(e){
    alert('huodong.js error:'+e);
  }

  var readyEvent = document.createEvent('Events');
  readyEvent.initEvent('StockJSBridgeReady', true, true);
  document.dispatchEvent(readyEvent)
})();
